[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.NodeChanged

Performs actions when a property value in the specified tree node has been changed.

## Declaration

Source position: comctrls.pp line 3628

`protected procedure TCustomTreeView.NodeChanged(`
`Node: TTreeNode;`
`ChangeReason: TTreeNodeChangeReason`
`); virtual;`

## Arguments

`Node` |  | Tree node with the changed property value.
`ChangeReason` |  | Indicates the value changed in the tree node.

## Description

Signals the OnNodeChanged event handler (when assigned) for the specified tree node and change reason. NodeChanged is called when a tree node in Items calls its Changed method.

## See also

TCustomTreeView.OnNodeChanged |  | Event handler signalled when the text for a tree node has been changed.
TTreeNodeChangeReason |  | Represents reason codes passed to event handlers when a tree node has been changed.
TTreeNode.Changed |  | Performs a change notification for the node with the specified reason.